//
//  AudioDiaryAppDelegate.h
//  AudioDiary
//
//  Created by Roy Fejgin on 3/13/10.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "mo_gfx.h"

#import "RecordController.h"
#import "BrowseController.h"
#import "UploadController.h"
#import "SelectController.h"
#import <vector>

@interface AudioDiaryAppDelegate : NSObject <UIApplicationDelegate, UITabBarControllerDelegate> {
    UIWindow *window;
    UITabBarController *tabBarController;
    RecordController* m_rec;
    UploadController* m_up;
    SelectController* m_select;
    BrowseController* m_browse;
    ClipManager* m_clipManager;
    vector<Event> m_events;

}

//- (GLfloat) renderAudio: (SAMPLE*) buffer : (int) numFrames;
- (GLfloat) renderAudio: (SAMPLE) input;
-(void)handleNotification:(NSNotification *)pNotification;


@property (nonatomic, retain) IBOutlet UIWindow *window;
@property (nonatomic, retain) IBOutlet UITabBarController *tabBarController;

@end
