//
//  FirstViewController.h
//  AudioDiary
//
//  Created by Roy Fejgin on 3/13/10.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "AudioManager.h"
#import "my_defs.h"

@interface RecordController : UIViewController {
    AudioManager*  m_audioManager;
    
    IBOutlet UIView* recordView;
    IBOutlet UILabel* statusLabel;
}

- (SAMPLE) tick: (SAMPLE) input;
-(void)handleNotification:(NSNotification *)pNotification;
-(void) updateDisplay : ( NSString *)str : (UILabel*) label;
-(void) setClipManager : ( ClipManager * )mgr;
 

@end
