//
//  BrowseController.h
//  AudioDiary
//
//  Created by Roy Fejgin on 3/13/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "my_defs.h"
#import <vector>
#import "Event.h"
#import "AudioClipPlayer.h"

using namespace std;

@interface BrowseController : UITableViewController {
    IBOutlet UITableView * browseView;
    vector<Event>* m_events;
    AudioClipPlayer* m_player;
    UITableViewCell* m_playingCell;
    NSString* m_cellText;
}
- (SAMPLE) tick: (SAMPLE) input;
- (void) setEvents:(vector<Event> *)events;
-(void) reloadTable;
- (void)downloadFile:(Event*) event;

@end

