//
//  SelectController.h
//  AudioDiary
//
//  Created by Roy Fejgin on 3/19/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "AudioManager.h"
#import "my_defs.h"
#import <vector>
#import "Event.h"

@interface SelectController : UIViewController {
    NSMutableString * currentProperty;
    vector<Event>* m_events;

    // UI
    IBOutlet UIView* selectView;
    IBOutlet UIButton * buttonNearby;
    IBOutlet UIButton * buttonRecent;
}

- (void)loadTable;

// Action methods
-(IBAction)hitNearby;
-(IBAction)hitRecent;
- (void) setEvents:(vector<Event> *)events;


@property (nonatomic, retain) NSMutableString * currentProperty;



- (SAMPLE) tick: (SAMPLE) input;
/*
 -(void)handleNotification:(NSNotification *)pNotification;
-(void) updateDisplay : ( NSString *)str : (UILabel*) label;
-(void) setClipManager : ( ClipManager * )mgr;
*/

@end
