/*
 *  ui_element.h
 *  
 *  Abstract UI element - serves as base class all classes forming the GUI
 *
 *  Created by Roy Fejgin on 2/1/10.
 *  Copyright 2010 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef __UI_ELEMENT__
#define __UI_ELEMENT__

#include "my_defs.h"
#include "mo_gfx.h"
#include "HarmonyModel.h"

class UI_Element
{
public:
    // Draw self. Each subclass implements its own version of this function.
    virtual void draw() { return; };
};


// hack: extern the texture maps for easy access throughout the UI classes
extern GLuint g_triadTextures[];
extern GLuint g_extTextures[];
extern GLuint g_combinedTextures[][EXT_LAST];
extern GLuint g_noteNames[];

#endif //__UI_ELEMENT__